package de.thpeetz.kontor.common.views;

import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;
import com.vaadin.flow.theme.lumo.LumoUtility;

import de.thpeetz.kontor.admin.services.AdminService;
import de.thpeetz.kontor.security.SecurityService;

public class SeparateMainLayout extends AppLayout {

    public SeparateMainLayout(AdminService adminService, SecurityService securityService) {

        KontorLayoutUtil layout = new KontorLayoutUtil(this, adminService, securityService);
        layout.setSecondaryNavigation(getSecondaryNavigation());
        layout.createHeader("Kontor");
    }

    private HorizontalLayout getSecondaryNavigation() {
        HorizontalLayout navigation = new HorizontalLayout();
        navigation.addClassNames(LumoUtility.JustifyContent.CENTER, LumoUtility.Gap.SMALL, LumoUtility.Height.MEDIUM);
        return navigation;
    }

}
